% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/process_corrections_Moodle.R
\name{process_corrections_Moodle}
\alias{process_corrections_Moodle}
\title{Correction Workflow for Moodle Exams}
\usage{
process_corrections_Moodle(
  Moodle.pointsFile,
  Moodle.pointsFile.sep,
  edozFile,
  semesterPAfile = NULL,
  gradeFunction.name,
  gradeFunction.settings,
  rdataFile,
  minPoints,
  maxPoints,
  stepsize
)
}
\arguments{
\item{Moodle.pointsFile}{File name of Moodle export file.}

\item{Moodle.pointsFile.sep}{Separator used in Moodle export file.}

\item{edozFile}{File name of edoz file.}

\item{semesterPAfile}{File name of semester performance file.}

\item{gradeFunction.name}{Name of the grading function, e.g., \code{"gradesPiecewiseLinear"}.}

\item{gradeFunction.settings}{A list containting the options for \code{gradeFunction.name}.}

\item{rdataFile}{If not \code{NULL}, the relevant R objects will be stored in this file.}

\item{minPoints}{Lower end when \emph{printing} grading scale.}

\item{maxPoints}{Upper end when \emph{printing} grading scale.}

\item{stepsize}{Stepsize used when \emph{printing} grading scale.}
}
\value{
knitted results
}
\description{
This function will do the whole correction workflow for Moodle exams: Read
in Moodle-file, apply the grading scale, export the grades in edoz format and
knit the corresponding information into a tex-file (used later on for the 
overview PDF).
}
