% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/process_corrections_manual.R
\name{process_corrections_manual}
\alias{process_corrections_manual}
\title{Correction Workflow for Hand-Corrected Written Exams}
\usage{
process_corrections_manual(
  manual.pointsFile,
  manual.pointsFile.sep,
  edozFile,
  semesterPAfile = NULL,
  gradeFunction.name,
  gradeFunction.settings,
  rdataFile,
  minPoints,
  maxPoints,
  maxPoints.q,
  stepsize
)
}
\arguments{
\item{manual.pointsFile}{File name containing points. If not existing, an
appropriate file will be created (with commas as separators).}

\item{manual.pointsFile.sep}{Separator used in \code{manual.pointsFile}.}

\item{edozFile}{File name of edoz file.}

\item{semesterPAfile}{File name of semester performance file.}

\item{gradeFunction.name}{Name of the grading function, e.g., \code{"gradesPiecewiseLinear"}.}

\item{gradeFunction.settings}{A list containting the options for \code{gradeFunction.name}.}

\item{rdataFile}{If not \code{NULL}, the relevant R objects will be stored in this file.}

\item{minPoints}{Lower end when \emph{printing} grading scale.}

\item{maxPoints}{Upper end when \emph{printing} grading scale.}

\item{maxPoints.q}{Vector containing the maximal points for each question 
(only relevant for the plots for each question).}

\item{stepsize}{Stepsize used when \emph{printing} grading scale.}
}
\value{
knitted results
}
\description{
This function will do the whole correction workflow for hand-corrected exams: 
Read in (or create) points file, apply the grading scale, export the grades in 
edoz format and knit the corresponding information into a tex-file (used later 
on for the overview PDF).
}
