% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/grading_functions.R
\name{readMC.key}
\alias{readMC.key}
\title{Read MC-key file with solutions}
\usage{
readMC.key(file, type, ...)
}
\arguments{
\item{file}{Text file with three cols with these names:
\itemize{
\item Exercise: Unique identifier for each exercise
\item CorrectAnswer: Correct value for each exercise. Use "-" to treat any or no answer as 
correct.
\item Index: Grouping of exercises (e.g. 1a, 1b, 1c all get Index=1; 2a, 2b, 2c get Index=2);
even there is no inherent structure of the excercises we RECOMMEND to group exercises in groups
of up to 8 subproblems. This makes reading the results after correction easier.
}}

\item{type}{Either \code{"TF"} for TRUE/FALSE questions or \code{"AB"} for questions where 
the correct options between e.g. a) - d) has to be found (single choice questions).}

\item{...}{options passed on to read.csv}
}
\value{
data frame of the key; T/F is converted to a/b
}
\description{
Read MC-key file with solutions
}
